@echo off
title HTTPAnalyzerFullV7 绿色破解版 - 卸载程序
color 80

rem 测试管理员权限
set TempFile_Name=%SystemRoot%\System32\BatTestUACin_SysRt%Random%.batemp
( echo "BAT Test UAC in Temp" >%TempFile_Name% ) 1>nul 2>nul
if exist %TempFile_Name% (
goto Uninstall
) else (
echo.
echo 请以管理权限运行当前批处理！
echo.
)
Rem type %TempFile_Name%
del %TempFile_Name% 1>nul 2>nul
pause
exit

:Uninstall
%~d0
cd "%~dp0"

netFilterService.exe /Uninstall /Silent
CertMgr.exe /del /all /c "%SystemDrive%\ProgramData\IEInspector\HTTPAnalyzerV7\SSL\HttpAnalyzer CA.cer" /s /r localmachine root
rd /s /q %SystemDrive%\ProgramData\IEInspector\
nfregdrv.exe -u haStdnetfilter
del /q %SystemDrive%\Windows\System32\drivers\haStdnetfilter.sys
HttpAnalyzerStdV7.exe /unregserver

%SystemDrive%\Windows\System32\regsvr32.exe /u /s IEInspectorBHO.dll
%SystemDrive%\Windows\System32\regsvr32.exe /u /s IEHTTPAnalyzerV7.dll

reg delete "HKEY_CURRENT_USER\Software\IEInspectorSoft" /f


for /f "tokens=2,*" %%i in ('reg query "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" /v "Desktop"') do (
set desk=%%j
)
del /q "%desk%\HttpAnalyzerStdV7.lnk"

echo 卸载完成！
pause
